## com.imcode.imcms.servlet.superadmin
Class LinkCheck.UrlDocumentLink

    java.lang.Object
      com.imcode.imcms.servlet.superadmin.LinkCheck.Link
          com.imcode.imcms.servlet.superadmin.LinkCheck.UrlDocumentLink

Enclosing class:
  LinkCheck

    public static final class LinkCheck.UrlDocumentLink

extends LinkCheck.Link

Constructor Summary
`LinkCheck.UrlDocumentLink(UrlDocumentDomainObject urlDocument, javax.servlet.http.HttpServletRequest request)`

Method Summary
`DocumentDomainObject` `getDocument()`
`DocumentMapper.TextDocumentMenuIndexPair[]` `getDocumentMenuPairsContainingUrlDocument()`
`java.lang.String` `getUrl()`

Methods inherited from class com.imcode.imcms.servlet.superadmin.LinkCheck.Link
`fixSchemeLessUrl, isCheckable, isHostFound, isHostReachable, isOk`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinkCheck.UrlDocumentLink

    public LinkCheck.UrlDocumentLink(UrlDocumentDomainObject urlDocument,
                                     javax.servlet.http.HttpServletRequest request)

Method Detail

### getUrl

    public java.lang.String getUrl()

  Specified by:
    `getUrl` in class `LinkCheck.Link`

### getDocument

    public DocumentDomainObject getDocument()

  Specified by:
    `getDocument` in class `LinkCheck.Link`

### getDocumentMenuPairsContainingUrlDocument

    public DocumentMapper.TextDocumentMenuIndexPair[] getDocumentMenuPairsContainingUrlDocument()